<?session_start();

if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
include ("calendario/calendario.php");
$enlace=cargar_conexion();
$accion=$_REQUEST["accion"];
$fecha=$_REQUEST["fecha"];
$monto=$_REQUEST["monto"];
$detalle=$_REQUEST["detalle"];

if ($_POST['nuevo']=='1' || $_POST['grabar']=='1') $cedula=str_repeat('0',8-strlen(trim($_POST["cedula"]))).trim($_POST["cedula"]);
else $cedula=str_repeat('0',8-strlen(trim($_REQUEST["cedula"]))).trim($_REQUEST["cedula"]);

$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
menu();

/////////////////////////////////////////////////MOSTRAR SOLICITUD DEL TRABAJADOR ////////////////////////////////////////////////////////////////
if ( (!$_POST && $accion!=1 && $accion!=2  && $_POST['grabar']!=1) || $_POST['busca']==1){

	echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='img2/deduccion.png' alt='Seleccionar'>&nbsp;Seleccionar Trabajador";
	echo "<hr><h2>Pagos de Intereses sobre Prestaciones Sociales LOTTT</h2>";	
	
	echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'busca' value = '1'>";
	echo "<table cellpadding=2 cellspacing=0 width='500' align='center'>";
	echo "<tr>";
			echo "<td align=right> C&eacute;dula/Nombre/Apellido:</td>";
			echo "<td> <input name='cedula' size = '30' maxlength = '8'></td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td align=right> Ordenado por:</td>";
		echo "<td colspan = 3>";
		echo "	<input type = 'radio' name = 'orden' value = 'ced' checked> cedula";
		echo "	<input type = 'radio' name = 'orden' value = 'nom'> nombre";
		echo "	<input type = 'radio' name = 'orden' value = 'ape'> apellido";
		echo "	<input type = 'radio' name = 'orden' value = 'fechai'> Fecha Ingreso";
	echo "</tr>";
	echo "</table>";
	echo "	<script language='javascript' type='text/javascript'>";
	echo "		document.entrada.cedula.focus()";
	echo "	</script>";
	echo "<table border=0  align = 'center'><tr>";
	echo "<td><input type = 'submit' value = 'Buscar Registros'></td>";
	echo "</tr></table></form>"; 

	$query1 = "";
	if ($_POST['cedula'] != "") {
		$query1 = " and (codigo like '%".$_POST['cedula']."%' or nombres like '%".$_POST['cedula']."%' or apellidos like '%".$_POST['cedula']."%') ";
	}
	if ($_POST['orden'] == "fechai") $query2 = " order by fechai";
	else if ($_POST['orden'] == "ced") $query2 = " order by codigo";
	else if ($_POST['orden'] == "ape") $query2 = " order by apellidos";
	else $query2 = " order by nombres"; 

	$consulta="select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' ".$query1.$query2;
	$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$num_rows = mysqli_num_rows($resultado);
	if ($num_rows != 0){
			echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
			echo "<tr bgcolor='#43bced' height='35'>";
			echo "<th align = center><font color='white'> Foto </font></th>";
			echo "<th align = left><font color='white'> C&eacute;dula </font></th>";
			echo "<th align = left><font color='white'> Nombres </font></th>";
			echo "<th align = left><font color='white'> Apellidos </font></th>";
			echo "<th align = left><font color='white'> Ficha </font></th>";
			echo "<th align = center><font color='white'> Status </font></th>";
			echo "<th align = center><font color='white'> Ingreso </font></th>";
			echo "<th colspan = 4 align = center><font color='white'> Acci&oacute;n </font></th>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$row = mysqli_fetch_array($resultado);
				$cedula = $row['codigo'];
				if ($color) {
					$tcolor="#dfdfd0";
					if (file_exists('fotos/'.$cedula.'.jpg')) $imagen='fotos/'.$cedula.'.jpg';
					else $imagen = 'img2/nohay2.jpg';
				} else { 
					$tcolor="white";
					if (file_exists('fotos/'.$cedula.'.jpg')) $imagen='fotos/'.$cedula.'.jpg';
					else $imagen = 'img2/nohay.jpg';
				}	
				echo '<tr bgcolor='.$tcolor.' >';
				echo "<td align'center'><img src='".$imagen."' height='64' width='64'></td>";
				echo "<td width='100'><a href='".$_SERVER['PHP_SELF']."?accion=1&cedula=".$cedula."'>".$row['codigo']."</a></td>";
				echo "<td width='250'>".trim($row['nombres'])." ".$row['nombres1']."</td>";
				echo "<td width='250'>".trim($row['apellidos'])." ".$row['apellidos1']."</td>";
				echo "<td width='100'>".$row['sso']."</td>";
				echo "<td width='50' align='center'>".($row['status']=='A'?'<img src="img2/status_ver.png">':'<img src="img2/status_ver_naranja.png">')."</td>";
				echo "<td width='120' align=center>".mostrar_fecha($row['fechai'])."</td>";
				
				echo "<td width='30' align='center'><a href='".$_SERVER['PHP_SELF']."?accion=1&cedula=".$cedula."'><img border = 0 src='img2/deduccion.png' alt='Seleccionar éste registro'></a></td>";
				
				echo '</tr>';
				$color=!$color;
			}
			echo '</table>';
	} else echo "<hr>"; 		
	mysqli_free_result($resultado);
}	

///////////////////////////////////////////////// MOSTRAR DATA A INGRESAR ////////////////////////////////////////////////////////////////
if ($accion==1 || $accion==2 || $_POST['grabar']==1 || $_POST['nuevo']==1) {

	$mensaje='';
	if ($_POST['grabar']=='1') {
		if ($_POST['detalle']=='') $mensaje="Debe ingresar Detalle. ";
		if ($_POST['monto']=='') $mensaje .="Debe ingresar Monto Bs. ";
		if ($_POST['fecha']=='') $mensaje .="Debe ingresar Fecha. ";
		if ($mensaje=='') {
			$fecha = crear_fecha($_POST['fecha']);
			$consulta="insert into prestacion_interes (id, cedula, detalle, monto, fecha) values ('".$_SESSION['id_validar']."','".$cedula."','".$_POST['detalle']."','".$_POST['monto']."','".$fecha."') ";
			$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
		}
	}
	
	$monto = $_REQUEST['monto'];
	$fecha = $_REQUEST['fecha'];
	$accion = $_REQUEST['accion'];
	
	$consulta="select nombres,nombres1,apellidos,apellidos1,fechae from personal where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' ";
	$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	$row=mysqli_fetch_array($resultado);
	mysqli_free_result($resultado);
	

	if ($accion==2) {
		$consulta="delete from prestacion_interes where id='".$_SESSION['id_validar']."' and cedula= '".$cedula."' and fecha='".$fecha."' and monto='".$monto."' ";
		$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	}	

	if ($_POST['nuevo']!='1') {
	
		echo "<b>Opciones:</b>	
		&nbsp;&nbsp;<img border = 0 src='images/b_regresa.png' alt='Regresar'>:<a href='".$_SERVER['PHP_SELF']."'>Regresar</a>
		&nbsp;&nbsp;<img border = 0 src='img2/icono_07.png' alt='Eliminar'>:Eliminar Pago de Interes</a>
		&nbsp;&nbsp;<img border = 0 src='img2/icono_02.png' alt='Imprimir'>:Imprimir Pago de Interes</a>
		</font><hr>";
		echo "<h2>Actualizaci&oacute;n de Pagos de Intereses sobre Prestaciones Sociales del Trabajadores</h2>";
		echo "<br><br><center><font face='verdana' color=red size=4>[Pago de Interes sobre Prestaciones]</font></center>";
		echo "<br><center><img src='img2/administrator.png'><font color=black size=4>&nbsp;".trim($row['nombres'])." ".trim($row['nombres1']).' '.trim($row['apellidos'])." ".trim($row['apellidos1'])."</font></center><br>";
		$consulta="select * from prestacion_interes where id='".$_SESSION['id_validar']."' and cedula= '".$cedula."' order by fecha ";
		$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
		if (mysqli_num_rows($resultado)!=0) {
			echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
			echo "<tr bgcolor='#43bced'>";
			echo "<th align = left><font color='white'> Concepto </font></th>";
			echo "<th align = left><font color='white'> Fecha </font></th>";
			echo "<th align = right><font color='white'> Monto Bs </font></th>";
			echo "<th colspan=2 align = center><font color='white'> Acci&oacute;n </font></th>";
			$total=0;
			while (	$row = mysqli_fetch_array($resultado) ) {
				if ($color) $tcolor="#dfdfd0";
				else $tcolor="white";
				$total +=$row['monto'];
				echo '<tr bgcolor=white >';
				echo "<td width='200'>".$row['detalle']."</td>";
				echo "<td width='100'>".mostrar_fecha($row['fecha'])."</td>";
				echo "<td width='100' align='right'>".number_format($row['monto'],2)."</td>";
				if (substr($_SESSION['acceso_validar'],18,1)=='1')
				echo "<td width='70' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&cedula=".$cedula."&monto=".$row['monto']."&fecha=".$row['fecha']."'><img  border = 0  src='img2/icono_07.png'alt='eliminar éste registro' ></a></td>";
				else echo "<td width='70' align='center'>&nbsp;</td>";
				echo "<td width='70' align='center'><a target='_blank' href='prestaciones_intereses_imprimir.php?cedula=".$cedula."&fecha=".$row['fecha']."&monto=".$row['monto']."'><img  border = 0  src='img2/icono_02.png'alt='Imprimir éste registro' ></a></td>";
				echo '</tr>';
			}	
			echo '<tr bgcolor="#43bced">';
			echo "<td colspan=2><font color='white'>Totales Bs.</font></td>";
			echo "<td width='100' align='right'><font color='white'><input name='aa' size=7 value='".number_format($total,2)."'></font></td>";
			echo "<td colspan=2></td>";
			echo '</tr>';
			echo '</table>';
		}	
	} 
	
	if ($_POST['nuevo']=='1') {
		//================================= agregar nuevo adelanto
			echo "<b>Opciones:</b>	
			&nbsp;&nbsp;<img border = 0 src='images/b_regresa.png' alt='Regresar'>:<a href='".$_SERVER['PHP_SELF']."?accion=1&cedula=".$cedula."'>Regresar</a>
			</font><hr>";
			echo "<h2>Actualizaci&oacute;n de Pagos de Intereses sobre Prestaciones Sociales del Trabajadores</h2>";
			echo "<br><br><center><font face='verdana' color=red size=4>[Pago de Interes sobre Prestaciones]</font></center>";
			echo "<br><center><img src='img2/administrator.png'><font color=black size=4>&nbsp;".trim($row['nombres'])." ".trim($row['nombres1']).' '.trim($row['apellidos'])." ".trim($row['apellidos1'])."</font></center><br>";
			echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
			echo "<input type = 'hidden' name = 'grabar' value = '1'>";
			echo "<input type = 'hidden' name = 'cedula' value = '".$cedula."'>";
			echo "<table cellpadding=2 cellspacing=0 width='600' align='center'>";
			echo "<tr>";
				echo "<td width='200'> Detalle:</td>";
				echo "<td> <input name='detalle' size = '30' maxlength = '50'></td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td width='200'> <font color=red>Fecha (ddmmaaaa): </font></td>";
				echo "<td align = 'left'>";
					escribe_formulario_fecha_vacio("fecha","entrada");
				echo "</td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td width='200'> Monto del Adelanto:</td>";
				echo "<td> <input name='monto' size = '10' maxlength = '10'></td>";
			echo "</tr>";
			echo "</table>";
			echo "	<script language='JavaScript' type='text/JavaScript'>";
			echo "		document.entrada.detalle.focus()";
			echo "	</script>";
			echo "	<center><input name='procesar' type = 'submit' value = 'Grabar Registro Nuevo' ></center>";
			echo "	</form>"; 
		//================================= agregar nuevo adelanto
	}
	
	if ($_POST['nuevo']!='1') {
		echo "<br>";
		echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
		echo "<input type = 'hidden' name = 'nuevo' value = '1'>";
		echo "<input type = 'hidden' name = 'cedula' value = '".$cedula."'>";
		echo "<table border=0  align = 'center'><tr>";
			echo "<td><input type = 'submit' value = 'Agregar Nuevo Pago'></td>";
		echo "</form></table>";
	}
	if ($mensaje!='') echo "<br><center><font style='color:RED; font-size:1em;' face='Verdana' ><b>".$mensaje."</b></font></center>";	
	
	mysqli_close($enlace);
}
	
echo "<br><br><br><br></body>";
echo "</html>";
?>